//CHARGEMENT DE LA PAGE
function init_plugin_dashboard(){
	switch($.urlParam('page')){
		default:
		break;
	}
	
}



//Enregistrement des configurations
function dashboard_setting_save(){
	$.action({ 
		action: 'dashboard_setting_save', 
		fields:  $('#dashboard-setting-form').toJson() 
	},function(){
		$.message('success','Enregistré');
	});
}

//** BLOC DE TABLEAU DE BORD **/
//Récuperation d'une liste  bloc de tableau de bord dans le tableau #dashboardwidgets
function dashboard_dashboardwidget_search(callback,exportMode){
	var box = new FilterBox('#dashboard_dashboardwidget-filters');
	if(exportMode) $('.btn-export').addClass('btn-preloader');

	$('#dashboardwidgets').fill({
		action:'dashboard_dashboardwidget_search',
		filters: box.filters(),
		sort: $('#dashboardwidgets').sortable_table('get'),
		export:  !exportMode ? false : exportMode
	},function(response){
		if(!exportMode) $('.results-count > span').text(response.pagination.total);
		if(callback!=null) callback();
	});
}

//Ajout ou modification bloc de tableau de bord
function dashboard_dashboardwidget_save(){
	var data = $('#dashboardwidget-form').toJson();
	$.action(data,function(r){
		$('#dashboardwidget-form').attr('data-id',r.id);
		$.urlParam('id',r.id);
		$.message('success','Enregistré');
	});
}


//Suppression bloc de tableau de bord
function dashboard_dashboardwidget_delete(element){
	if(!confirm('Êtes vous sûr de vouloir supprimer cet item ?')) return;
	var line = $(element).closest('.item-line');
	$.action({
		action: 'dashboard_dashboardwidget_delete',
		id: line.attr('data-id')
	},function(r){
		line.remove();
		$.message('info','Item supprimé');
	});
}